RemoteGymp · API v1
API 参考
访问和行为
参考示例是模板。在运行之前替换占位符并检查端点的参数、权限和架构。对于不确定的写入,请遵循该端点的恢复和重试规则。
需要不记名令牌和端点的权限。访问权限仍仅限于您的凭证范围。在使用设备或管理操作之前检查功能。
搜索结果: 289
未找到结果。
安全6
GET获取安全库存/v1/devices/{deviceId}/security
读取记录的防病毒、防火墙和加密事实。恢复秘密被排除在外。
GET /v1/devices/{deviceId}/security ↗mcp.cap.SecurityRead
架构 (OpenAPI)
AntivirusActionProvider
0 = MicrosoftDefender 1 = BitdefenderBest
AntivirusProductState
0 = Unknown 1 = On 2 = Off 3 = Snoozed 4 = Expired
AntivirusAction
0 = QuickScan 1 = FullScan 2 = UpdateDefinitions
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/security' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read recorded antivirus, firewall and encryption facts. Recovery secrets are excluded.",
"operationId": "get_v1_devices_deviceId_security",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SecurityFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get security inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SecurityRead"
]
}POST运行密码审核/v1/devices/{deviceId}/security/password-audit
请求授权设备上支持的帐户密码检查。
POST /v1/devices/{deviceId}/security/password-audit ↗mcp.cap.PasswordAudit
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"administratorsOnly": true,
"expectedDomain": "<value>",
"includeDisabled": false,
"includeInactiveAccounts": false,
"inspectOnly": false,
"isValid": false,
"reportLocale": "<value>",
"reportTimeZone": "<value>",
"scope": "Local",
"serversOnly": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/security/password-audit' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Request the supported account-password checks on an authorised device.",
"operationId": "post_v1_devices_deviceId_security_password_audit",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditOptions"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditReport"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": [
"null",
"string"
]
}
},
"required": [
"error",
"message"
],
"type": "object"
},
{
"properties": {
"accountsAttempted": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsChecked": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsExcluded": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsSelected": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"checkedAtUtc": {
"format": "date-time",
"type": "string"
},
"domain": {
"type": "string"
},
"domainSid": {
"type": [
"null",
"string"
]
},
"error": {
"type": [
"null",
"string"
]
},
"findings": {
"items": {
"properties": {
"account": {
"type": "string"
},
"administrator": {
"type": "boolean"
},
"enabled": {
"type": "boolean"
},
"failureCode": {
"type": [
"null",
"string"
]
},
"finding": {
"type": "string"
},
"hibpAvailable": {
"type": "boolean"
},
"hibpOccurrences": {
"format": "int64",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"null",
"integer",
"string"
]
},
"lastLogonSource": {
"type": [
"null",
"string"
]
},
"lastLogonUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"lastPasswordSetUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"password": {
"type": [
"null",
"string"
]
},
"state": {
"type": "string"
}
},
"type": "object"
},
"type": "array"
},
"inactiveAccounts": {
"items": {
"properties": {
"account": {
"type": "string"
},
"lastLogonSource": {
"type": "string"
},
"lastLogonUtc": {
"format": "date-time",
"type": "string"
}
},
"required": [
"account",
"lastLogonUtc",
"lastLogonSource"
],
"type": "object"
},
"type": "array"
},
"inactiveAccountsCutoffUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"inactiveAccountsState": {
"type": [
"null",
"string"
]
},
"inactiveUnknownDates": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"isDomainController": {
"type": "boolean"
},
"isServer": {
"type": "boolean"
},
"machineName": {
"type": "string"
},
"moreAccounts": {
"type": "boolean"
},
"noKnownMatch": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"state": {
"type": "string"
},
"summaryEmailSent": {
"type": [
"null",
"boolean"
]
},
"unavailable": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"workers": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
}
},
"type": "object"
}
]
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"502": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditReport"
}
}
},
"description": "Bad Gateway"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a password audit",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}GET列出密码审核时间表/v1/security/password-audit-schedules
在您允许的范围内阅读定期密码审核计划。
GET /v1/security/password-audit-schedules ↗mcp.cap.PasswordAudit
参数
companyId· 查询 · 可选- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
deviceId· 查询 · 可选- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read recurring password-audit schedules in your permitted scope.",
"operationId": "get_v1_security_password_audit_schedules",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/PasswordAuditScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List password-audit schedules",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}POST保存密码审核计划/v1/security/password-audit-schedules
创建或更新定期密码审核计划及其目标和计时设置。
POST /v1/security/password-audit-schedules ↗mcp.cap.PasswordAudit
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"deviceId": "<UUID>",
"everyDays": 1,
"id": "<UUID>",
"selection": {
"administratorsOnly": true,
"domainAccounts": true,
"includeDisabled": false,
"includeInactiveAccounts": false,
"localAccounts": true,
"serversOnly": false
},
"startAtUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Create or update a recurring password-audit schedule with its target and timing settings.",
"operationId": "post_v1_security_password_audit_schedules",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditScheduleInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditScheduleView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save a password-audit schedule",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}DELETE删除密码审核计划/v1/security/password-audit-schedules/{id}
删除重复计划以停止将来的计划检查。
DELETE /v1/security/password-audit-schedules/{id} ↗mcp.cap.PasswordAudit
参数
id· 路径 · 需要- 对应的资源列表或创建结果返回的标识符。
expectedRevision· 查询 · 需要- 上次读取的当前时间表修订。过时的修订版本会阻止删除已更改的计划。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method DELETE `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules/<id>?expectedRevision=<expectedRevision>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Remove a recurring schedule to stop future scheduled checks.",
"operationId": "delete_v1_security_password_audit_schedules_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Current schedule revision from the last read. A stale revision prevents deletion of a changed schedule.",
"in": "query",
"name": "expectedRevision",
"required": true,
"schema": {
"format": "int64",
"type": "integer"
}
}
],
"responses": {
"204": {
"description": "No Content"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a password-audit schedule",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}GET检查密码审计目标/v1/security/password-audits/targets
在请求密码审核之前检查目标资格。
GET /v1/security/password-audits/targets ↗mcp.cap.PasswordAudit
参数
companyId· 查询 · 可选- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
deviceId· 查询 · 可选- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/security/password-audits/targets' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Inspect target eligibility before requesting a password audit.",
"operationId": "get_v1_security_password_audits_targets",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/PasswordAuditTarget"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check password-audit targets",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}操作11
POST跨设备运行命令/v1/command-batches
为多个授权目标提交命令批处理。检查其收据以跟踪个人结果。
POST /v1/command-batches ↗mcp.cap.CommandsExecute
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"command": "<value>",
"deviceIds": [
"<UUID>"
],
"idempotencyKey": "<value>",
"shell": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/command-batches' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Submit a command batch for multiple authorised targets. Inspect its receipt to track individual outcomes.",
"operationId": "post_v1_command_batches",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationCommandBatch"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run commands across devices",
"tags": [
"Operations"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}GET获取命令批处理进度/v1/command-batches/{operationId}
读取批次的进度和每个目标的结果,而无需再次运行。
GET /v1/command-batches/{operationId} ↗mcp.cap.CommandsExecute
参数
operationId· 路径 · 需要- 顶级操作收据标识符。轮询此收据以检查进度和结果。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/command-batches/<operationId>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read the batch's progress and per-target outcomes without running it again.",
"operationId": "get_v1_command_batches_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get command-batch progress",
"tags": [
"Operations"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POST取消命令批处理/v1/command-batches/{operationId}/cancel
请求取消该批次。已经完成的工作不能通过取消来撤销。
POST /v1/command-batches/{operationId}/cancel ↗mcp.cap.CommandsExecute
参数
operationId· 路径 · 需要- 顶级操作收据标识符。轮询此收据以检查进度和结果。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/command-batches/<operationId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Request cancellation of the batch. Work already performed cannot be undone by cancellation.",
"operationId": "post_v1_command_batches_operationId_cancel",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a command batch",
"tags": [
"Operations"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POST运行设备操作/v1/devices/{deviceId}/actions
将支持的键入操作提交到设备。在分派之前会检查操作的功能和权限。
POST /v1/devices/{deviceId}/actions ↗架构 (OpenAPI)
AutomationDeviceActionKind
0 = RefreshFacts 1 = ControlService 2 = RestartDevice 3 = WindowsDiskCleanup 4 = LinuxMaintenance 5 = WakeDevice 6 = SendUserMessage 7 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"action": {
"kind": 0
},
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Submit a supported typed action to a device. The action's capabilities and permissions are checked before dispatch.",
"operationId": "post_v1_devices_deviceId_actions",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDeviceAction"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a device action",
"tags": [
"Devices"
],
"x-required-capabilities": []
}POST执行杀毒操作/v1/devices/{deviceId}/antivirus/actions
运行受支持的防病毒操作并检查返回结果。
POST /v1/devices/{deviceId}/antivirus/actions ↗mcp.cap.DeviceMaintenance
架构 (OpenAPI)
AntivirusAction
0 = QuickScan 1 = FullScan 2 = UpdateDefinitions
AntivirusActionProvider
0 = MicrosoftDefender 1 = BitdefenderBest
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"action": 0,
"operationId": "<UUID>",
"provider": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/antivirus/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Run a supported antivirus action and inspect the returned result.",
"operationId": "post_v1_devices_deviceId_antivirus_actions",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAntivirusActionRequestDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run an antivirus action",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}POST运行命令/v1/devices/{deviceId}/commands
在授权设备上执行命令。检查不确定结果时重用幂等密钥。
POST /v1/devices/{deviceId}/commands ↗mcp.cap.CommandsExecute
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"command": "<value>",
"idempotencyKey": "<value>",
"shell": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/commands' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Execute a command on an authorised device. Reuse the idempotency key when checking an uncertain outcome.",
"operationId": "post_v1_devices_deviceId_commands",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationCommand"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POST计划设备电源管理/v1/devices/{deviceId}/jobs/power
提供本地时间和明确的时区。模糊或无效的时间将被拒绝。
POST /v1/devices/{deviceId}/jobs/power ↗mcp.cap.PowerControl
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"action": "<value>",
"localTime": "<UTC date and time>",
"timeZoneId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/power' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Supply the local time and an explicit time zone. Ambiguous or invalid times are rejected.",
"operationId": "post_v1_devices_deviceId_jobs_power",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationScheduledPower"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Schedule device power",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PowerControl"
]
}POST更改设备电源状态/v1/devices/{deviceId}/power
请求支持的重新启动或安全模式操作。这可能会中断使用该设备的人。
POST /v1/devices/{deviceId}/power ↗mcp.cap.PowerControl
参数
deviceId· 路径 · 需要- 对应设备列表返回的设备标识符。托管代理和发现的网络设备具有不同的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"action": "<value>",
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/power' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Request a supported restart or Safe Mode action. This can interrupt the person using the device.",
"operationId": "post_v1_devices_deviceId_power",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationPower"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change device power state",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PowerControl"
]
}GET列表操作/v1/operations
查找您的凭据创建的保留操作并检查其进度。
GET /v1/operations ↗参数
pageSize· 查询 · 可选- 此页请求的最大项目数。端点特定的限制可能会减少页面大小。
after· 查询 · 可选- 上一个响应的延续位置。第一页省略;继续时保持相同的过滤器。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Find retained operations created by your credential and inspect their progress.",
"operationId": "get_v1_operations",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfOperationSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List operations",
"tags": [
"Operations"
],
"x-required-capabilities": []
}GET通过按键查找操作/v1/operations/by-key
在超时或丢失响应后使用其幂等性密钥恢复操作,而不是重复操作。
GET /v1/operations/by-key ↗参数
idempotencyKey· 查询 · 需要- 用于原始请求的精确幂等密钥。查找收据而不重复操作。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/by-key?idempotencyKey=<idempotencyKey>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Recover an operation using its idempotency key after a timeout or lost response, instead of repeating it.",
"operationId": "get_v1_operations_by_key",
"parameters": [
{
"description": "Exact idempotency key used for the original request. Looks up the receipt without repeating the action.",
"in": "query",
"name": "idempotencyKey",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Find an operation by key",
"tags": [
"Operations"
],
"x-required-capabilities": []
}GET获取操作进度/v1/operations/{operationId}
读取一项操作的当前状态和可用结果。未知的结果并不能证明失败。
GET /v1/operations/{operationId} ↗参数
operationId· 路径 · 需要- 顶级操作收据标识符。轮询此收据以检查进度和结果。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/<operationId>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read the current status and available result of one operation. An unknown outcome is not proof of failure.",
"operationId": "get_v1_operations_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get operation progress",
"tags": [
"Operations"
],
"x-required-capabilities": []
}公司11
GET列出公司/v1/companies
获取您可以访问的公司的有限列表。使用分页公司查询进行较大的导出。
GET /v1/companies ↗mcp.cap.InventoryRead
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/companies' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Get a bounded list of companies you can access. Use the paginated company query for larger exports.",
"operationId": "get_v1_companies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/CompanyResponse"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List companies",
"tags": [
"Companies"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GET获取公司/v1/companies/{companyId}
查找公司 ID 和名称。
GET /v1/companies/{companyId} ↗mcp.cap.InventoryRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/companies/<companyId>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Look up a company's ID and name.",
"operationId": "get_v1_companies_companyId",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CompanyResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a company",
"tags": [
"Companies"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GET列出公司网站/v1/companies/{companyId}/sites
查找属于一家公司的站点。
GET /v1/companies/{companyId}/sites ↗mcp.cap.InventoryRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/companies/<companyId>/sites' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Find the sites belonging to one company.",
"operationId": "get_v1_companies_companyId_sites",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/SiteResponse"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List company sites",
"tags": [
"Companies"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GET获取您的组织/v1/organization
阅读与您的凭证关联的组织详细信息。
GET /v1/organization ↗参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/organization' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read the organisation details associated with your credential.",
"operationId": "get_v1_organization",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CompanyResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get your organisation",
"tags": [
"Companies"
],
"x-required-capabilities": []
}GET在页面中浏览公司/v1/queries/companies
在绑定页面中导出公司,然后继续,直到没有更多页面为止。
GET /v1/queries/companies ↗mcp.cap.InventoryRead
参数
pageSize· 查询 · 可选- 此页请求的最大项目数。端点特定的限制可能会减少页面大小。
after· 查询 · 可选- 上一个响应的延续位置。第一页省略;继续时保持相同的过滤器。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/queries/companies' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Export companies in bounded pages, following next until no further page remains.",
"operationId": "get_v1_queries_companies",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfCompanyResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Browse companies in pages",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GET在页面中浏览站点/v1/queries/sites
在绑定页面中导出站点,可选择仅限于一家公司。
GET /v1/queries/sites ↗mcp.cap.InventoryRead
参数
companyId· 查询 · 可选- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
pageSize· 查询 · 可选- 此页请求的最大项目数。端点特定的限制可能会减少页面大小。
after· 查询 · 可选- 上一个响应的延续位置。第一页省略;继续时保持相同的过滤器。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/queries/sites' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Export sites in bounded pages, optionally restricted to one company.",
"operationId": "get_v1_queries_sites",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfSiteResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Browse sites in pages",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GET客户报告列表/v1/reports/companies/{companyId}/monthly
阅读当前的范围证据。缺失的证据未知。没有启动终点行动或人工智能指控。
GET /v1/reports/companies/{companyId}/monthly ↗mcp.cap.ReportsRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
offset· 查询 · 可选- 要跳过的项目数,从零开始。继续使用端点返回的偏移量(如果可用)。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/reports/companies/<companyId>/monthly' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_reports_companies_companyId_monthly",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ClientReportArchiveItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List client reports",
"tags": [
"Reports"
],
"x-required-capabilities": [
"mcp.cap.ReportsRead"
]
}GET获取客户报告设置/v1/reports/companies/{companyId}/monthly/settings
阅读当前的范围证据。缺失的证据未知。没有启动终点行动或人工智能指控。
GET /v1/reports/companies/{companyId}/monthly/settings ↗mcp.cap.ReportsRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/reports/companies/<companyId>/monthly/settings' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_reports_companies_companyId_monthly_settings",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClientReportSettingsView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get client report settings",
"tags": [
"Reports"
],
"x-required-capabilities": [
"mcp.cap.ReportsRead"
]
}GET获取客户报告/v1/reports/companies/{companyId}/monthly/{id}
阅读当前的范围证据。缺失的证据未知。未启动终端动作或人工智能指控。密码审计证据还需要明确的PasswordAudit能力。
GET /v1/reports/companies/{companyId}/monthly/{id} ↗mcp.cap.ReportsRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
id· 路径 · 需要- 对应的资源列表或创建结果返回的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/reports/companies/<companyId>/monthly/<id>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started. Password-audit evidence additionally requires the explicit PasswordAudit capability.",
"operationId": "get_v1_reports_companies_companyId_monthly_id",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClientReportView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get client report",
"tags": [
"Reports"
],
"x-required-capabilities": [
"mcp.cap.ReportsRead"
]
}GET出口客户报告/v1/reports/companies/{companyId}/monthly/{id}/html
阅读当前的范围证据。缺失的证据未知。未启动终端动作或人工智能指控。密码审计证据还需要明确的PasswordAudit能力。
GET /v1/reports/companies/{companyId}/monthly/{id}/html ↗mcp.cap.ReportsRead
参数
companyId· 路径 · 需要- 公司标识符。查询参数将结果范围缩小到该公司;它永远不会扩大凭证范围。
id· 路径 · 需要- 对应的资源列表或创建结果返回的标识符。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/reports/companies/<companyId>/monthly/<id>/html' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started. Password-audit evidence additionally requires the explicit PasswordAudit capability.",
"operationId": "get_v1_reports_companies_companyId_monthly_id_html",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationReportHtml"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Export client report",
"tags": [
"Reports"
],
"x-required-capabilities": [
"mcp.cap.ReportsRead"
]
}GET获取站点/v1/sites/{siteId}
使用 ID 查找一个站点。
GET /v1/sites/{siteId} ↗mcp.cap.InventoryRead
参数
siteId· 路径 · 需要- 站点标识符。查询参数将结果范围缩小到凭据范围内的此站点。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/sites/<siteId>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Look up one site using its ID.",
"operationId": "get_v1_sites_siteId",
"parameters": [
{
"description": "Site identifier. A query parameter narrows the results to this site within credential scope.",
"in": "path",
"name": "siteId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SiteResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a site",
"tags": [
"Companies"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}管理30
POST创建公司/v1/management/companies
在您的授权组织内添加公司。
POST /v1/management/companies ↗mcp.cap.CompaniesManage
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Add a company within your authorised organisation.",
"operationId": "post_v1_management_companies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfstring"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesManage"
]
}POST删除公司/v1/management/companies/delete
请求通过现有管理保障措施移除公司。仔细审查目标。
POST /v1/management/companies/delete ↗mcp.cap.CompaniesDelete
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/companies/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Request removal of a company through the existing management safeguards. Review the target carefully.",
"operationId": "post_v1_management_companies_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a company",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.CompaniesDelete"
]
}POST删除设备/v1/management/devices/delete
通过管理工作流程请求设备删除。
POST /v1/management/devices/delete ↗mcp.cap.DevicesDelete
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/delete' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Request device removal through the management workflow.",
"operationId": "post_v1_management_devices_delete",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesDelete"
]
}POST移动设备/v1/management/devices/move
在允许的范围内更改设备的公司或站点分配。
POST /v1/management/devices/move ↗mcp.cap.DevicesManage
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"deviceId": "<UUID>",
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/move' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Change a device's company or site assignment within the permitted scope.",
"operationId": "post_v1_management_devices_move",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDeviceMove"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Move a device",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POST撤销设备访问权限/v1/management/devices/revoke
撤销所选设备的座席访问权限。
POST /v1/management/devices/revoke ↗mcp.cap.DevicesManage
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/revoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Revoke the selected device's agent access.",
"operationId": "post_v1_management_devices_revoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Revoke device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POST恢复设备访问/v1/management/devices/unrevoke
使用授权管理工作流程删除设备的撤销状态。
POST /v1/management/devices/unrevoke ↗mcp.cap.DevicesManage
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/devices/unrevoke' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Remove a device's revoked state using the authorised management workflow.",
"operationId": "post_v1_management_devices_unrevoke",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Restore device access",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.DevicesManage"
]
}POST轮换注册密钥/v1/management/enrollment/rotate
更换公司注册凭证。使用旧密钥的现有注册安装程序将失去注册能力。
POST /v1/management/enrollment/rotate ↗mcp.cap.EnrollmentRotate
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/enrollment/rotate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Replace a company's enrollment credential. Existing enrollment installers using the old key lose enrollment ability.",
"operationId": "post_v1_management_enrollment_rotate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Rotate an enrollment key",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRotate"
]
}POST请求安装程序/v1/management/installers
为授权公司和平台准备的队列安装程序。
POST /v1/management/installers ↗mcp.cap.EnrollmentManage
架构 (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"platform": 0,
"siteId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/management/installers' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))请求和响应架构 (OpenAPI)
{
"description": "Queue installer preparation for an authorised company and platform.",
"operationId": "post_v1_management_installers",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationInstallerBuild"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Request an installer",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GET读取安装程序历史记录/v1/management/installers/history
读取保留的安装程序构建和分发历史记录。
GET /v1/management/installers/history ↗mcp.cap.EnrollmentRead
架构 (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/history' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read retained installer build and distribution history.",
"operationId": "get_v1_management_installers_history",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read installer history",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GET列出安装人员作业/v1/management/installers/jobs
读取排队的安装程序作业及其状态。
GET /v1/management/installers/jobs ↗mcp.cap.EnrollmentRead
架构 (OpenAPI)
InstallerPlatform
0 = Windows 1 = Linux 2 = MacOs
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
参数
无路径、查询或标头参数。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/jobs' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read queued installer jobs and their status.",
"operationId": "get_v1_management_installers_jobs",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InstallerBuildJobItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List installer jobs",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GET获取管理-操作状态/v1/management/operations/{operationId}
读取管理变更的状态和保留结果,无需重复。
GET /v1/management/operations/{operationId} ↗参数
operationId· 路径 · 需要- 顶级操作收据标识符。轮询此收据以检查进度和结果。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/operations/<operationId>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read the status and retained result of a management change without repeating it.",
"operationId": "get_v1_management_operations_operationId",
"parameters": [
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get management-operation status",
"tags": [
"Management"
],
"x-required-capabilities": []
}GET读取设置/v1/management/settings
读取请求的授权范围内支持的管理设置。
GET /v1/management/settings ↗mcp.cap.SettingsRead
架构 (OpenAPI)
SettingScopeType
0 = Device 1 = Site 2 = Company 3 = Organization
SettingKey
0 = RequireUserConsent 1 = LockComputerOnSessionEnd 2 = OpenSessionsInNewTab 3 = WakeRelay 4 = TerminalExperience 5 = DefaultSessionColorQuality 6 = DefaultSuppressWallpaper 7 = DefaultOptimizeWindowsVisualEffects 8 = DefaultDeviceListLayout 9 = DeviceLocationReporting 10 = NetworkDiscoveryMode 11 = NetworkDiscoveryPolicy 12 = NetworkDiscoveryRetentionPolicy 13 = NetworkDiscoverySensorAssignment 14 = NetworkTcpMonitoringPolicy 15 = NetworkDiscoveryAllowWindowsPublicProfile 16 = NetworkInternetSpeedEnabled 17 = IloMonitoringEnabled 18 = IdracMonitoringEnabled
参数
scopeType· 查询 · 需要- 设置范围的种类。使用与预期范围匹配的枚举值。
scopeId· 查询 · 需要- scopeType 选择的设置范围的标识符。
key· 查询 · 需要- 设置读取键。使用预期设置的枚举值。
请求示例
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/settings?scopeType=<scopeType>&scopeId=<scopeId>&key=<key>' `
-Headers $headers请求和响应架构 (OpenAPI)
{
"description": "Read a supported management setting in the requested authorised scope.",
"operationId": "get_v1_management_settings",
"parameters": [
{
[...]
